Bug 287 - mock-urpm uses Mandriva 2011 as the base by default
: mock-urpm uses Mandriva 2011 as the base by default
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal enhancement
: ---
Assigned To: Anton Kirilenko
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 20:27 MSD by Denis Koryavov
Modified: 2012-07-24 11:06 MSD (History)
2 users (show)

See Also:
RPM Package: mock-urpm-1.1.12-9-rosa.lts2012.0.noarch
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Koryavov 2012-05-25 20:27:16 MSD
Description of problem:

mock-urpm uses Mandriva 2011 as the base. I think base should be changed to RM2012 :)
Comment 1 Anton Kirilenko 2012-07-04 18:37:57 MSD
Advisory: 
In new version mock-urpm asks user to select one of the available configuration files to use and saves it. Configuration files Rosa-2012lts-x86_64 and Rosa-2012lts-i586 were added.
Other changes: in case of corrupted update (9th release can not be updated correctly because of errors in spec file) the first start will fix the installation (you just have to execute 'sudo mock-urpm'). 

How to test:
Install mock-urpm-1.1.12-9 from repository, update to 10th release. run 'sudo mock-urpm'. It will show you the list of available config files. Enter one of them and it will work! By the way, symlinks: /etc/bash_completion.d/mock-urpm and /usr/bin/mock-urpm (console helper link).

Build lists:
i586:   https://abf.rosalinux.ru/build_lists/620840
x86_64: https://abf.rosalinux.ru/build_lists/620841
Comment 2 Vladimir Potapov 2012-07-09 18:01:18 MSD
mock-urpm-1.1.12-10-rosa.lts2012.0
******************** Advisory ********************
In new version mock-urpm asks user to select one of the available configuration files to use and saves it. Configuration files Rosa-2012lts-x86_64 and Rosa-2012lts-i586 were added.
*****************************************************
QA Verified
Comment 3 Alexander Burmashev 2012-07-24 11:06:14 MSD
I have published a more recent version of mock-urpm which should contain this changes.